<?php

namespace App\Enums;

enum UserTypes: string
{
    case SUPER_ADMIN = 'super_admin';
    case PUNONG_BARANGAY = 'punong_barangay';
    case BARANGAY_KAGAWAD = 'kagawad';
    case SECRETARY = 'secretary';
    case TREASURER = 'treasurer';
    case SK_CHAIRPERSON = 'sk_chairperson';
    case SK_COUNCILOR = 'sk_councilor';
    case BARANGAY_TANOD = 'tanod';
    case BHW = 'bhw';
    case DAYCARE_WORKER = 'daycare_worker';
    case STAFF = 'staff';
    case RESIDENT = 'resident';
    case AUDIT = 'audit';

    case ANY_USER = 'default';
    case PUBLIC = 'public';
}
